Testar uma conexão
curl --request POST \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectionId": "<string>",
"healthy": true,
"latencyMs": 42,
"errorMessage": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Testar uma conexão
Use este endpoint para testar a conectividade de uma conexão descoberta específica pertencente ao tenant atual.
POST
/
v1
/
discovery
/
connections
/
{connectionId}
/
test
Testar uma conexão
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
The unique identifier of the connection.
Resposta
Resultado do teste
Resultado de um teste de conectividade para uma conexão descoberta
Esta página foi útil?
⌘I

